// DialogFind.cpp : implementation file
//

#include "stdafx.h"
//#include "MsgTblView.h"
#include "DialogFind.h"
#include <WindowsX.h>

#ifdef _DEBUG
   #define new DEBUG_NEW
   #undef THIS_FILE
   static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDialogFind dialog


CDialogFind::CDialogFind(CWnd* pParent /*=NULL*/)
	: CDialog(CDialogFind::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogFind)
	m_strFind = _T("");
	m_bModuleName = FALSE;
	m_bError = FALSE;
	m_bLanguageID = FALSE;
	m_bValue = FALSE;
	m_bValueHex = FALSE;
	m_bMassageText = FALSE;
	m_bMatchCase = FALSE;
	//}}AFX_DATA_INIT
}


void CDialogFind::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogFind)
	DDX_Text(pDX, IDC_EDIT_FIND, m_strFind);
	DDX_Check(pDX, IDC_CHECK_MODULE_NAME, m_bModuleName);
	DDX_Check(pDX, IDC_CHECK_ERROR_MODULE, m_bError);
	DDX_Check(pDX, IDC_CHECK_LANG_ID, m_bLanguageID);
	DDX_Check(pDX, IDC_CHECK_VALUE, m_bValue);
	DDX_Check(pDX, IDC_CHECK_VALUE_HEX, m_bValueHex);
	DDX_Check(pDX, IDC_CHECK_MESSAGE_TEXT, m_bMassageText);
	DDX_Check(pDX, IDC_CHECK_MATCH_CASE, m_bMatchCase);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDialogFind, CDialog)
	//{{AFX_MSG_MAP(CDialogFind)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogFind message handlers

LRESULT CDialogFind::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	// TODO: Add your specialized code here and/or call the base class
   switch (message) {
   case WM_COMMAND:
      WORD wID = LOWORD(wParam);
      switch (wID) {
      case IDOK:
         //g_bMyExit = TRUE;
         ::PostMessage(::GetParent(m_hWnd), WM_USER_FIND, 0, 0);
      }
      break;
   }
	
	return CDialog::WindowProc(message, wParam, lParam);
}

BOOL CDialogFind::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
   Button_SetCheck(::GetDlgItem(m_hWnd, IDC_CHECK_MODULE_NAME), TRUE);
   Button_SetCheck(::GetDlgItem(m_hWnd, IDC_CHECK_LANG_ID), TRUE);
   Button_SetCheck(::GetDlgItem(m_hWnd, IDC_CHECK_VALUE), TRUE);
   Button_SetCheck(::GetDlgItem(m_hWnd, IDC_CHECK_VALUE_HEX), TRUE);
   Button_SetCheck(::GetDlgItem(m_hWnd, IDC_CHECK_MESSAGE_TEXT), TRUE);
   //Button_SetCheck(::GetDlgItem(m_hWnd, IDC_CHECK_MATCH_CASE), TRUE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
