// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__8734B2C3_C73E_4574_95AB_7C649B4DD77C__INCLUDED_)
#define AFX_STDAFX_H__8734B2C3_C73E_4574_95AB_7C649B4DD77C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef UNICODE
   #pragma comment(linker, "/ENTRY:wWinMainCRTStartup")
#else
   #pragma comment(linker, "/ENTRY:WinMainCRTStartup")
#endif // UNICODE

#define _WIN32_WINNT 0x0500
#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
#define __SDK__ // ,   SDK

#ifdef _DEBUG
   //#define LOGGER_DUMMY
#else
   //#define LOGGER_DUMMY
   #define LOGGER_UNDEF
#endif

#pragma warning(disable:4786) // symbol greater than 255 character
#pragma warning(disable:4005) // macro redefinition

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdisp.h>        // MFC Automation classes
#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <Vector>

#include "./Lib/CommonLib.h"
//#include "./Lib/Logger.h" //       

#ifdef __FILE__LOGGER__
   #ifdef LOGGER_UNDEF
      #ifdef _DEBUG
         #define g_pLog TRUE //    
      #else
         #define g_pLog FALSE //     (  ,   .  )
      #endif
   #else
      extern CLogger* GetLogger();
      #define g_pLog GetLogger()
   #endif
#else __FILE__LOGGER__

   #ifdef _DEBUG
      #define g_pLog TRUE //    
   #else
      #define g_pLog FALSE //     (  ,   .  )
   #endif

   namespace nsDebugger {
      inline void Put(LPCTSTR lpszFormat, ...) {
         va_list arglist;
         va_start(arglist, lpszFormat);
         CString strRes;
         strRes.FormatV(lpszFormat, arglist);
         va_end(arglist);
         ::OutputDebugString(strRes);
         ::OutputDebugString(_T("\r\n"));
      }
   #ifndef __FILE__KSERG_COMMON_LIB__
      CString ErrorCode2Str(DWORD dwErrCode);
   #endif __FILE__KSERG_COMMON_LIB__
      inline void PutErrorCode(IN LPCTSTR szStr, IN DWORD dwErrCode = ::GetLastError()) {
         Put(_T("%sError code - %s"), szStr ? szStr : _T(""), (LPCTSTR)ErrorCode2Str(dwErrCode));
      }
   } // nsDebugger

   #define LOG_PUT(pLogger, pFunction, logLevel) if (pLogger) nsDebugger::pFunction(CString((LPCTSTR)_T(#logLevel))+
   //LOG_PUT(g_pLog, Put         , LL_DEBUG) _T("  example %s %i"), _T("qqq"), 987);
   //LOG_PUT(g_pLog, PutErrorCode, LL_ERROR) _T("  error: "), dwErrCode);
#endif __FILE__LOGGER__

#include "resource.h"		// main symbols

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__8734B2C3_C73E_4574_95AB_7C649B4DD77C__INCLUDED_)
